## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Doxygen HTML help is not suitable for packaging due to a minified JavaScript
# bundle inserted by Doxygen itself. See discussion at
# https://bugzilla.redhat.com/show_bug.cgi?id=2006555.
#
# We can enable the Doxygen PDF documentation as a substitute.
%bcond_without doc_pdf

Name:           libdxflib
Version:        3.26.4
%global so_version 3
Release:        %autorelease
Summary:        A C++ library for reading and writing DXF files

License:        GPLv2+
URL:            https://www.ribbonsoft.com/en/90-dxflib
Source0:        https://qcad.org/archives/dxflib/dxflib-%{version}-src.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  make

BuildRequires:  qt5-qtbase-devel

%global common_description %{expand: \
dxflib is a C++ library for reading and writing DXF files.}

%description
%{common_description}


%package        devel
Summary:        Development files for libdxflib
Requires:       libdxflib%{?_isa} = %{version}-%{release}

%description    devel
%{common_description}

The libdxflib-devel package contains libraries and header files for
developing applications that use dxflib.


%package        doc
Summary:        Documentation and examples for libdxflib

BuildArch:      noarch

%if %{with doc_pdf}
BuildRequires:  doxygen
BuildRequires:  doxygen-latex
BuildRequires:  /usr/bin/repstopdf
BuildRequires:  ghostscript
%endif

%description    doc
%{common_description}

The libdxflib-doc package contains documentation and examples for dxflib.


%prep
%autosetup -n dxflib-%{version}-src
# Build as a shared library
sed -r -i 's/(CONFIG \+= )staticlib/\1shared/' dxflib.pro

%if %{with doc_pdf}
# We enable the Doxygen PDF documentation as a substitute. We must enable
# GENERATE_LATEX and LATEX_BATCHMODE; the rest are precautionary and should
# already be set as we like them. We also disable GENERATE_HTML, since we will
# not use it.
sed -r -i \
    -e "s/^([[:blank:]]*(GENERATE_LATEX|LATEX_BATCHMODE|USE_PDFLATEX|\
PDF_HYPERLINKS)[[:blank:]]*=[[:blank:]]*)NO[[:blank:]]*/\1YES/" \
    -e "s/^([[:blank:]]*(LATEX_TIMESTAMP|GENERATE_HTML)\
[[:blank:]]*=[[:blank:]]*)YES[[:blank:]]*/\1NO/" \
    dxflib.doxygen
%endif


%build
%{qmake_qt5} VERSION='%{version}'
%make_build

%if %{with doc_pdf}
mkdir -p doc
doxygen dxflib.doxygen
%make_build -C doc/classref/latex
%endif


%install
# The upstream build system does not have install targets.
install -d '%{buildroot}%{_includedir}/dxflib'
install -t '%{buildroot}%{_includedir}/dxflib' -p -m 0644 src/*.h
# Use cp instead of install to preserve symlinks:
install -d '%{buildroot}%{_libdir}'
cp -p libdxflib.so* '%{buildroot}%{_libdir}'
# However, we currently still have an extra copy of the shared library. Ensure
# that all but the most fully-versioned file are symlinks.
sofile="$(basename "$(
  find '%{buildroot}%{_libdir}' -type f -name 'libdxflib.so.*.*.*' -print -quit
)")"
find '%{buildroot}%{_libdir}' -type f ! -name "${sofile}" \
    -execdir ln -s -v -f "${sofile}" '{}' ';'


# Generate pkgconfig file
install -d %{buildroot}%{_libdir}/pkgconfig
cat << 'EOF' > '%{buildroot}%{_libdir}/pkgconfig/dxflib.pc'
prefix=%{_prefix}
exec_prefix=%{_exec_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: dxflib
Description: A C++ library for reading and writing DXF files
Version: %{version}
Libs: -L${libdir} -ldxflib
Cflags: -I${includedir}/dxflib
EOF


%ldconfig_scriptlets


%files
%license gpl-2.0greater.txt dxflib_commercial_license.txt
%{_libdir}/libdxflib.so.%{so_version}
%{_libdir}/libdxflib.so.%{so_version}.*


%files devel
%{_includedir}/dxflib
%{_libdir}/libdxflib.so
%{_libdir}/pkgconfig/dxflib.pc


%files doc
%license gpl-2.0greater.txt dxflib_commercial_license.txt
%doc examples
%if %{with doc_pdf}
%doc doc/classref/latex/refman.pdf
%endif


%changelog
* Fri Apr 01 2022 Benjamin A. Beasley <code@musicinmybrain.net> 3.26.4-2
- Package documentation and examples

* Fri Apr 01 2022 Benjamin A. Beasley <code@musicinmybrain.net> 3.26.4-1
- Update to 3.26.4 (close RHBZ#1996851)

* Fri Apr 01 2022 Benjamin A. Beasley <code@musicinmybrain.net> 3.17.0-8
- Build with qmake from Qt5 instead of Qt4

* Fri Apr 01 2022 Benjamin A. Beasley <code@musicinmybrain.net> 3.17.0-7
- General spec file cleanup

* Fri Apr 01 2022 Tom Stellard <tstellar@redhat.com> 3.17.0-6
- Add BuildRequires: make

* Fri Apr 01 2022 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 3.17.0-5
- Remove obsolete Group tag

* Fri Apr 01 2022 Rex Dieter <rdieter@gmail.com> 3.17.0-4
- fix scriptlets, better Qt dep, use %qmake_qt4

* Fri Apr 01 2022 Samuel Rakitničan <samuel.rakitnican@gmail.com> 3.17.0-3
- Use ldconfig_scriptlets macro

* Fri Jun 02 2017 Samuel Rakitničan <samuel.rakitnican@gmail.com> - 3.17.0-2
- Remove unicode trademark character from description
- Use macro for make
- Pass the option to qmake to disable linking against Qt

* Wed May 31 2017 Samuel Rakitničan <samuel.rakitnican@gmail.com> - 3.17.0-1
- Initial build

